Package lldb :: Package utils :: Module symbolication :: Class Section

[hide private]
[frames] | no frames]

# Class Section

source code

Class that represents an load address range

Instance Methods | [hide private]

__init__(self, start_addr=None, end_addr=None, name=None) | source code

contains(self, addr) | source code

set_from_string(self, s) | source code

__str__(self) | source code

Class Variables | [hide private]

| sect_info_regex = `re.compile(r'`(?P<``name``>``[^`=`]``+``)`=`(?P<``range``>`.`*``)`')`
| addr_regex = `re.compile(r'^\s`*``(?P<``start``>`0x`[`0`-`9A`-`Fa`-`f`]``+``)`\s`*`$')`
| range_regex = `re.compile(r'^\s`*``(?P<``start``>`0x`[`0`-`9A`-`Fa`-`f`]``+``)`\s`*``(?P``...``

Class Variable Details | [hide private]

### range_regex

Value:

      re.compile(r'^\s*(?P<start>0x[0-9A-Fa-f]+)\s*(?P<op>[-\+])\s*(?P<end>0
      x[0-9A-Fa-f]+)\s*$')